Productsup
CDE APIApi referenceApplication

Validate VCS config.

Check connection with VCS.

Sign in to run requests against the CDE API.
GET
/connectors/{publicId}/versions/{connectorVersion}/vcs-configs/validate

Authorization

oAuth2AuthCode
AuthorizationBearer <token>

In: header

Path Parameters

publicId*string
Formatuuid
connectorVersion*string

Major version number as an integer

  • For 1.0.5 use 1
  • For 2.5.6 use 2

You can also use latest for the latest version, or main for the currently main released version.

Match^main|latest|\d+$

Response Body

application/json

application/json

application/json

curl -X GET "https://cde.staging.productsup.com/connectors/497f6eca-6276-4993-bfeb-53cbbbba6f08/versions/string/vcs-configs/validate"
{
  "message": "VCS config is valid."
}
{
  "message": "You have to be authorized to access this resource."
}
{
  "message": "Connector not found."
}

How is this guide?